ros-lyrical-urdfdom-headers (3.0.0-3resolute) resolute; urgency=high

  * Update lower, upper, effort, and velocity default joint limits (#95 <https://github.com/ros/urdfdom_headers/issues/95>)
  * Clean up declaration of ModelInterface's SharedPtrs (#99 <https://github.com/ros/urdfdom_headers/issues/99>)
  * Extend ``JointLimits`` class to include acceleration, deceleration and jerk limits (#83 <https://github.com/ros/urdfdom_headers/issues/83>)
  * Contributors: Aarav Gupta, Alejandro Hernández Cordero, Robert Haschke, Sai Kishor Kothakota

 -- Steven! Ragnarök <steven@openrobotics.org>  Mon, 20 Apr 2026 05:00:00 -0000

ros-lyrical-urdfdom-headers (2.1.2-3resolute) resolute; urgency=high

  * Revert "Extend JointLimits class to include acceleration, deceleration and jerk limits (#83 <https://github.com/ros/urdfdom_headers/issues/83>)"
    This was a breaking change that will be released in 3.0.0
  * Contributors: Steve Peters

 -- Steven! Ragnarök <steven@openrobotics.org>  Sat, 18 Apr 2026 05:00:00 -0000

ros-lyrical-urdfdom-headers (2.1.1-3resolute) resolute; urgency=high

  * Clean up declaration of ModelInterface's SharedPtrs (#99 <https://github.com/ros/urdfdom_headers/issues/99>)
  * Revert cleanup of ModelInterface's SharedPtrs (#33 <https://github.com/ros/urdfdom_headers/issues/33>)
  * Revert fix for assumption that CMAKE_INSTALL_*DIR paths are relative (#90 <https://github.com/ros/urdfdom_headers/issues/90>) (#97 <https://github.com/ros/urdfdom_headers/issues/97>)
  * Clean up declaration of ModelInterface's SharedPtrs (#33 <https://github.com/ros/urdfdom_headers/issues/33>)
  * Fix assumption that CMAKE_INSTALL_*DIR paths are relative (#90 <https://github.com/ros/urdfdom_headers/issues/90>)
  * Extend ``JointLimits`` class to include acceleration, deceleration and jerk limits (#83 <https://github.com/ros/urdfdom_headers/issues/83>)
  * Contributors: Alejandro Hernández Cordero, Michal Sojka, Robert Haschke, Sai Kishor Kothakota

 -- Steven! Ragnarök <steven@openrobotics.org>  Wed, 15 Apr 2026 05:00:00 -0000

ros-lyrical-urdfdom-headers (2.1.0-3resolute) resolute; urgency=high

  * Add support for capsule geometry type (#94 <https://github.com/ros/urdfdom_headers/issues/94>)
  * Contributors: Sai Kishor Kothakota

 -- Steven! Ragnarök <steven@openrobotics.org>  Sat, 31 Jan 2026 06:00:00 -0000

ros-lyrical-urdfdom-headers (2.0.2-3resolute) resolute; urgency=high

  * 2.0.2
  * Read cmake version from package.xml (#92 <https://github.com/ros/urdfdom_headers/issues/92>)
    Use regex to match version string.
    Copied from ros/urdfdom#236 <https://github.com/ros/urdfdom/issues/236>.
  * Contributors: Steve Peters

 -- Steven! Ragnarök <steven@openrobotics.org>  Fri, 19 Dec 2025 06:00:00 -0000

ros-lyrical-urdfdom-headers (2.0.1-3resolute) resolute; urgency=high

  * quaternions in urdf (PR 51 new attempt) + bump version (#77 <https://github.com/ros/urdfdom_headers/issues/77>)
  * fix cmake deprecation (#89 <https://github.com/ros/urdfdom_headers/issues/89>)
    cmake version < then 3.10 is deprecated
  * Contributors: Guillaume Doisy, mosfet80

 -- Steven! Ragnarök <steven@openrobotics.org>  Fri, 28 Nov 2025 06:00:00 -0000

ros-lyrical-urdfdom-headers (2.0.0-3resolute) resolute; urgency=high

  * 2.0.0
  * Remove all dependencies from the package.xml. (#88 <https://github.com/ros/urdfdom_headers/issues/88>)
    This package does not have any header dependencies, so
    we don't need any of them here.
  * Fix package.xml deps to use vendored packages (#87 <https://github.com/ros/urdfdom_headers/issues/87>)
  * add package.xml file from release repository (#85 <https://github.com/ros/urdfdom_headers/issues/85>)
  * Removed headers, implementation was deprecated and removed (#86 <https://github.com/ros/urdfdom_headers/issues/86>)
  * Remove CODEOWNERS. (#81 <https://github.com/ros/urdfdom_headers/issues/81>)
    It is outdated and no longer serving its intended purpose.
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Jorge J. Perez, Lucien Morey

 -- Steven! Ragnarök <steven@openrobotics.org>  Tue, 01 Jul 2025 05:00:00 -0000

ros-lyrical-urdfdom-headers (1.1.2-3resolute) resolute; urgency=high

  * 1.1.2
  * avoid embedding the absolute install prefix in the artifacts (#79 <https://github.com/ros/urdfdom_headers/issues/79>)
  * Contributors: Marco A. Gutierrez, Øystein Sture

 -- Steven! Ragnarök <steven@openrobotics.org>  Wed, 11 Sep 2024 05:00:00 -0000

ros-lyrical-urdfdom-headers (1.1.1-3resolute) resolute; urgency=high

  * 1.1.1
  * Update CMakeLists.txt (#76 <https://github.com/ros/urdfdom_headers/issues/76>)
    cmake minimum version requirement for rolling are v3.8
  * Install pkg-config .pc file also on Windows/MSVC (#72 <https://github.com/ros/urdfdom_headers/issues/72>)
  * Add Chris Lalancette to CODEOWNERs file (#74 <https://github.com/ros/urdfdom_headers/issues/74>)
  * Contributors: Audrow Nash, Chris Lalancette, Silvio Traversaro, mosfet80

 -- Steven! Ragnarök <steven@openrobotics.org>  Tue, 26 Dec 2023 06:00:00 -0000

ros-lyrical-urdfdom-headers (1.1.0-3resolute) resolute; urgency=high

  * Bump to 1.1.0
  * Contributors: Audrow Nash

 -- Steven! Ragnarök <steven@openrobotics.org>  Tue, 10 May 2022 05:00:00 -0000

ros-lyrical-urdfdom-headers (1.0.6-3resolute) resolute; urgency=high

  * Bump to 1.0.6
  * Install headers to include/${PROJECT_NAME} (#71 <https://github.com/ros/urdfdom_headers/issues/71>)
    * Install headers to include/${PROJECT_NAME}
    * Rename files to make this way easier
    * use CMAKE_INSTALL_INCLUDEDIR
  * Replace float compare to 0 with <= compare (#68 <https://github.com/ros/urdfdom_headers/issues/68>)
    * Replace float compare to 0 with <= compare
  * Upgrade cmake minimum version to 2.8.12 (#67 <https://github.com/ros/urdfdom_headers/issues/67>)
  * Contributors: Audrow Nash, Shane Loretz, Stephen Brawner

 -- Steven! Ragnarök <steven@openrobotics.org>  Mon, 28 Mar 2022 05:00:00 -0000

ros-lyrical-urdfdom-headers (1.0.5-3resolute) resolute; urgency=high

  * bump to 1.0.5 (#64 <https://github.com/ros/urdfdom_headers/issues/64>)
  * install pkgconfig file into correct path (#58 <https://github.com/ros/urdfdom_headers/issues/58>)
  * export modern CMake interface target (#61 <https://github.com/ros/urdfdom_headers/issues/61>)
  * avoid exporting absolute path (#60 <https://github.com/ros/urdfdom_headers/issues/60>)
  * Contributors: Dirk Thomas, Steven Peters, Victor Mataré

 -- Steven! Ragnarök <steven@openrobotics.org>  Fri, 08 May 2020 05:00:00 -0000

ros-lyrical-urdfdom-headers (1.0.4-3resolute) resolute; urgency=high

  * bump to 1.0.4 (#53 <https://github.com/ros/urdfdom_headers/issues/53>)
  * Add missing include, otherwise dependent packages fail to find the function when compiling. (#52 <https://github.com/ros/urdfdom_headers/issues/52>)
  * Contributors: Raúl Domínguez, Steven Peters

 -- Steven! Ragnarök <steven@openrobotics.org>  Mon, 20 May 2019 05:00:00 -0000

ros-lyrical-urdfdom-headers (1.0.3-3resolute) resolute; urgency=high

  * Fix version number, bump to 1.0.3 (#50 <https://github.com/ros/urdfdom_headers/issues/50>)
    The version number was not incremented for the 1.0.2 release, so bump to 1.0.3 to make a release with proper version numbers.
  * Contributors: Steven Peters

 -- Steven! Ragnarök <steven@openrobotics.org>  Tue, 08 Jan 2019 06:00:00 -0000

ros-lyrical-urdfdom-headers (1.0.2-3resolute) resolute; urgency=high

  * Cast double to float (#48 <https://github.com/ros/urdfdom_headers/issues/48>)
  * Add range check for color components being within [0, 1]
    this solves the potential undefined behaviour in implicit conversion if a color component should
    be greater than the maximum float but smaller than the maximum double and allows us
    to reuse strToDouble safely
  * use helper function strToDouble for locale independent parsing of colors
  * Contributors: Shane Loretz, Simon Schmeisser, Simon Schmeisser (isys vision)

 -- Steven! Ragnarök <steven@openrobotics.org>  Thu, 15 Nov 2018 06:00:00 -0000

ros-lyrical-urdfdom-headers (1.0.1-3resolute) resolute; urgency=high

  * Use stringstream instead of stod to work around locale issues. (#42 <https://github.com/ros/urdfdom_headers/issues/42>)
    * Use stringstream instead of stod to work around locale issues.
    * Use imbue to always use the "classic" locale.
    * Make a strToDouble facility in the utils.h header.
    This will be useful elsewhere (i.e. urdfdom).
    * Add some additional includes.
    * Add in an actual error message to the strToDouble throw.
  * urdf_model: don't use or define M_PI (#38 <https://github.com/ros/urdfdom_headers/issues/38>)
  * world.h: remove initXml function, tinyxml include (#39 <https://github.com/ros/urdfdom_headers/issues/39>)
    * world.h: forward declare tinyxml and don't include
    The urdf::World class uses a pointer to a
    tinyxml symbol in the initXml function,
    but we don't want to export that dependency,
    so just forward declare the symbol since it's a pointer.
    * Remove the unimplemented initXml method.
    This allows us to remove tinyxml.h from the header file.
  * correct spelling mistake in README.md (#40 <https://github.com/ros/urdfdom_headers/issues/40>)
  * Add CMake uninstall target (#31 <https://github.com/ros/urdfdom_headers/issues/31>)
  * Contributors: Chris Lalancette, Edward Betts, Jeongseok Lee, Steven Peters

 -- Steven! Ragnarök <steven@openrobotics.org>  Wed, 21 Feb 2018 06:00:00 -0000

ros-lyrical-urdfdom-headers (1.0.0-3resolute) resolute; urgency=high

  * Merge pull request #23 <https://github.com/ros/urdfdom_headers/issues/23> from scpeters/unboost
    Use c++11 instead of boost, bump version to 1.0.0
  * Replace boost::lexical_cast with std::sto[df]
  * Replace boost::split with urdf::split_string
    Added in urdf_model/utils.h
    Licensed to OSRF not Willow Garage
  * Use std pointers instead of boost pointers
  * Bump version to 1.0.0
  * Contributors: Steven Peters

 -- Steven! Ragnarök <steven@openrobotics.org>  Wed, 20 Jul 2016 05:00:00 -0000

ros-lyrical-urdfdom-headers (0.4.2-3resolute) resolute; urgency=high

  * 0.4.2 version bump
  * Merge pull request #26 <https://github.com/ros/urdfdom_headers/issues/26> from j-rivero/fix_install_path
    Install cmake modules into arch dependent path
  * Install cmake modules into arch dependent path
    cmake auto generates code for the -version.cmake file which
    includes a check to test if the arch used to build the software
    is the same than the one in installed system.
  * Merge pull request #25 <https://github.com/ros/urdfdom_headers/issues/25> from j-rivero/fix_version
    Fix version. Current is 0.4.1
  * Fix version. Current is 0.4.1
  * Contributors: Jackie Kay, Jose Luis Rivero, Steven Peters

 -- Steven! Ragnarök <steven@openrobotics.org>  Tue, 05 Jul 2016 05:00:00 -0000

ros-lyrical-urdfdom-headers (0.4.1-3resolute) resolute; urgency=high

  * Merge pull request #21 <https://github.com/ros/urdfdom_headers/issues/21> from scpeters/remove_reinterpret_pointer_cast
    remove urdf::reinterpret_pointer_cast
  * remove urdf::reinterpret_pointer_cast
    I don't know if it's used anywhere
    and there's no std:: version of the function
    so let's just redact it.
  * Contributors: Ioan A Sucan, Steven Peters

 -- Steven! Ragnarök <steven@openrobotics.org>  Sat, 13 Feb 2016 06:00:00 -0000

ros-lyrical-urdfdom-headers (0.4.0-3resolute) resolute; urgency=high

  * Merge pull request #19 <https://github.com/ros/urdfdom_headers/issues/19> from traversaro/master
    Fix handling rpy with pitch equal to +/-M_PI/2
  * Merge pull request #17 <https://github.com/ros/urdfdom_headers/issues/17> from scpeters/cmake_version_file
    Install cmake version config file
  * Fix missing include in urdf_model/types.h
    Include boost/pointer_cast.hpp since we
    are using the pointer_cast functions.
    Fixes #66 <https://github.com/ros/urdfdom_headers/issues/66>.
  * Fix handling rpy with pitch equal to +/-M_PI/2
  * Bump minor version to 0.4
    So that new pointer typedefs can be found
  * Install cmake version config file
    Uses SameMajorVersion matching criteria
  * Merge pull request #12 <https://github.com/ros/urdfdom_headers/issues/12> from traversaro/patch-1
    [joint] reset JointMimic pointer on clear
  * Merge pull request #7 <https://github.com/ros/urdfdom_headers/issues/7> from traversaro/master
    Fixes for compiling in Windows
  * Remove repeated <cmath> inclusion
  * Merge pull request #16 <https://github.com/ros/urdfdom_headers/issues/16> from scpeters/geometry_typedefs
    Pointer typedefs for simple geometry and urdf::*_pointer_cast function
  * [cmake] modify install directory of .cmake files
    In Windows find_package(package) finds the PackageConfig.cmake following a set of path patterns [1]:
    * <prefix>/
    * <prefix>/(cmake|CMake)/
    * <prefix>/<name>*/
    * <prefix>/<name>*/(cmake|CMake)/
    This commit modifies the CMake config installation to install them in CMAKE_INSTALL_PREFIX/CMake on Windows (see for reference [2]).
    [1] : https://cmake.org/cmake/help/v3.0/command/find_package.html
    [2] : https://github.com/robotology/ycm/blob/master/modules/InstallBasicPackageFiles.cmake#L175
  * only define round in VS <= 2012
  * fix #ifndef _USE_MATH_DEFINES
  * fixed cmake logic
  * Merge branch 'master' of https://github.com/ros/urdfdom_headers
    Conflicts:
    CMakeLists.txt
    urdf_model/include/urdf_model/pose.h
  * model.h remove unneeded boost include
  * Add *_pointer_cast functions to urdf namespace
  * Add typedefs for other geometry classes
    Box, Cylinder, Mesh, Sphere
  * Create macro for pointer typedefs
  * Merge pull request #15 <https://github.com/ros/urdfdom_headers/issues/15> from scpeters/sensor_boost_includes
    sensor.h: remove boost smart pointer includes
  * sensor.h: remove boost smart pointer includes
  * Merge pull request #13 <https://github.com/ros/urdfdom_headers/issues/13> from scpeters/pointer_typedef
    Create typedefs for shared pointers
  * Merge pull request #14 <https://github.com/ros/urdfdom_headers/issues/14> from scpeters/temp_files_in_build
    Generate temp file in build folder
  * Generate temp file in build folder
    Generate the pkg-config and cmake config files
    in the build folder instead of the source tree.
  * use pointer typedefs instead of boost
  * Add pointer typedefs in types.h for each folder
  * [joint] reset JointMimic point on clear
    For consistency with other attributes.
  * Merge pull request #11 <https://github.com/ros/urdfdom_headers/issues/11> from vrabaud/master
    fixes degeneracies when doing atan2(0,0)
  * fixes degeneracies when doing atan2(0,0)
    This fixes the unit test in urdfdom at https://github.com/ros/urdfdom/issues/49
  * Merge pull request #10 <https://github.com/ros/urdfdom_headers/issues/10> from scpeters/fixes_from_sdformat
    Fixes from sdformat
  * Cast to float instead of double
    Also comment out unused exception variables
  * Push fixes from sdformat upstream
    Use cmath instead of math.h
    Fix typo in a comment
  * Merge pull request #8 <https://github.com/ros/urdfdom_headers/issues/8> from davetcoleman/patch-1
    Fixed file name for proper markup formatting
  * Fixed file name for proper markup formatting
  * Fixes for compiling in Windows
  * Merge pull request #5 <https://github.com/ros/urdfdom_headers/issues/5> from davetcoleman/readme_improvements
    Improved README and explained how to wget package.xml
  * Fix
  * Improved README and explained how to wget package.xml
  * Merge pull request #4 <https://github.com/ros/urdfdom_headers/issues/4> from dirk-thomas/master
    fix INCLUDE_DIRS variable when path contains spaces
  * fix INCLUDE_DIRS variable when path contains spaces
  * Contributors: Dave Coleman, Dirk Thomas, Ioan A Sucan, Jackie Kay, Jeongseok Lee, Silvio Traversaro, Steven Peters, Vincent Rabaud, hsu

 -- Steven! Ragnarök <steven@openrobotics.org>  Wed, 09 Dec 2015 06:00:00 -0000

ros-lyrical-urdfdom-headers (0.3.0-3resolute) resolute; urgency=high

  * remove functionality that was deprecated since ros hydro
  * Merge pull request #2 <https://github.com/ros/urdfdom_headers/issues/2> from isucan/master
    add visual and collision names
  * add visual and collision names
  * fix #41 <https://github.com/ros/urdfdom_headers/issues/41>
  * Fix comment for collision & visual arrays
  * Added tag 0.2.3 for changeset d7757a5edf3a
  * Contributors: Ioan A Sucan, Ioan Sucan, isucan

 -- Steven! Ragnarök <steven@openrobotics.org>  Sat, 15 Feb 2014 06:00:00 -0000

ros-lyrical-urdfdom-headers (0.2.3-3resolute) resolute; urgency=high

  * merge
  * removing some of the deprecation warnings since too many warnings are generated
  * update comments
  * update comments
  * re-add clear() calls for deprecated members
  * more deprecation warnings
  * deprecating visual_groups, collision_groups
  * remove commented code
  * Merged in issue_1 (pull request #1 <https://github.com/ros/urdfdom_headers/issues/1>: fix LICENSE file per issue #1 <https://github.com/ros/urdfdom_headers/issues/1>)
  * fix LICENSE file per issue #1 <https://github.com/ros/urdfdom_headers/issues/1>
  * Added tag 0.2.2 for changeset f8bcb86e7766
  * Contributors: Ioan Sucan, John Hsu

 -- Steven! Ragnarök <steven@openrobotics.org>  Tue, 18 Jun 2013 05:00:00 -0000

ros-lyrical-urdfdom-headers (0.2.2-3resolute) resolute; urgency=high

  * add missing license headers
  * Added tag 0.2.1 for changeset 62b843be1542
  * Contributors: Ioan Sucan, John Hsu

 -- Steven! Ragnarök <steven@openrobotics.org>  Sat, 22 Dec 2012 06:00:00 -0000

ros-lyrical-urdfdom-headers (0.2.1-3resolute) resolute; urgency=high

  * update comments
  * update world
  * move twist from urdf_model_state to urdf_model
  * Added tag 0.2.0 for changeset 0a1404c64b62
  * Contributors: Ioan Sucan, John Hsu

 -- Steven! Ragnarök <steven@openrobotics.org>  Tue, 02 Oct 2012 05:00:00 -0000

ros-lyrical-urdfdom-headers (0.2.0-3resolute) resolute; urgency=high

  * removing unimplemented functions + fixing bugs
  * remove dependency on tinyxml.h, forward declare TiXmlElement
  * Added tag 0.1.5 for changeset 7382afda6474
  * Contributors: Ioan Sucan, hsu

 -- Steven! Ragnarök <steven@openrobotics.org>  Thu, 28 Jun 2012 05:00:00 -0000

ros-lyrical-urdfdom-headers (0.1.5-3resolute) resolute; urgency=high

  * removing parseVisualSensor from class
  * Added tag 0.1.4 for changeset a5248f8f4895
  * Contributors: Ioan Sucan, hsu

 -- Steven! Ragnarök <steven@openrobotics.org>  Mon, 25 Jun 2012 19:57:00 -0000

ros-lyrical-urdfdom-headers (0.1.4-3resolute) resolute; urgency=high

  * simplifications to build system + add cmake-config file
  * Added tag 0.1.3 for changeset 666374321561
  * Contributors: Ioan Sucan

 -- Steven! Ragnarök <steven@openrobotics.org>  Mon, 25 Jun 2012 16:26:00 -0000

ros-lyrical-urdfdom-headers (0.1.3-3resolute) resolute; urgency=high

  * simplify build system
  * Added tag 0.1.0 for changeset 960abc214d83
  * Contributors: Ioan Sucan

 -- Steven! Ragnarök <steven@openrobotics.org>  Sat, 23 Jun 2012 03:46:00 -0000

ros-lyrical-urdfdom-headers (0.1.0-3resolute) resolute; urgency=high

  * update README
  * copying headers from urdfdom
  * Contributors: John Hsu

 -- Steven! Ragnarök <steven@openrobotics.org>  Fri, 22 Jun 2012 19:38:00 -0000


